--- old/usr/src/uts/sun4u/cpu/spitfire_asm.s	Thu Nov 14 19:00:40 2019
+++ new/usr/src/uts/sun4u/cpu/spitfire_asm.s	Thu Nov 14 19:00:40 2019
@@ -23,11 +23,7 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
-#if !defined(lint)
 #include "assym.h"
-#endif	/* lint */
 
 #include <sys/asm_linkage.h>
 #include <sys/mmu.h>
@@ -48,8 +44,6 @@
 #include <sys/traptrace.h>
 #endif /* TRAPTRACE */
 
-#ifndef	lint
-
 /* BEGIN CSTYLED */
 #define	DCACHE_FLUSHPAGE(arg1, arg2, tmp1, tmp2, tmp3)			\
 	ldxa	[%g0]ASI_LSU, tmp1					;\
@@ -347,102 +341,10 @@
 
 /* END CSTYLED */
 
-#endif	/* !lint */
-
 /*
  * Spitfire MMU and Cache operations.
  */
 
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-vtag_flushpage(caddr_t vaddr, uint64_t sfmmup)
-{}
-
-/*ARGSUSED*/
-void
-vtag_flushall(void)
-{}
-	
-/*ARGSUSED*/
-void
-vtag_flushall_uctxs(void)
-{}
-		
-/*ARGSUSED*/
-void
-vtag_flushpage_tl1(uint64_t vaddr, uint64_t sfmmup)
-{}
-
-/*ARGSUSED*/
-void
-vtag_flush_pgcnt_tl1(uint64_t vaddr, uint64_t sfmmup_pgcnt)
-{}
-
-/*ARGSUSED*/
-void
-vtag_flushall_tl1(uint64_t dummy1, uint64_t dummy2)
-{}
-
-/*ARGSUSED*/
-void
-vac_flushpage(pfn_t pfnum, int vcolor)
-{}
-
-/*ARGSUSED*/
-void
-vac_flushpage_tl1(uint64_t pfnum, uint64_t vcolor)
-{}
-
-/*ARGSUSED*/
-void
-init_mondo(xcfunc_t *func, uint64_t arg1, uint64_t arg2)
-{}
-
-/*ARGSUSED*/
-void
-init_mondo_nocheck(xcfunc_t *func, uint64_t arg1, uint64_t arg2)
-{}
-
-/*ARGSUSED*/
-void
-flush_instr_mem(caddr_t vaddr, size_t len)
-{}
-
-/*ARGSUSED*/
-void
-flush_ecache(uint64_t physaddr, size_t size, size_t linesize)
-{}
-
-/*ARGSUSED*/
-void
-get_ecache_dtag(uint32_t ecache_idx, uint64_t *ecache_data,
-		uint64_t *ecache_tag, uint64_t *oafsr, uint64_t *acc_afsr)
-{}
-
-/* ARGSUSED */
-uint64_t
-get_ecache_tag(uint32_t id, uint64_t *nafsr, uint64_t *acc_afsr)
-{
-	return ((uint64_t)0);
-}
-
-/* ARGSUSED */
-uint64_t
-check_ecache_line(uint32_t id, uint64_t *acc_afsr)
-{
-	return ((uint64_t)0);
-}
-
-/*ARGSUSED*/
-void
-kdi_flush_idcache(int dcache_size, int dcache_lsize,
-    int icache_size, int icache_lsize)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(vtag_flushpage)
 	/*
 	 * flush page from the tlb
@@ -956,64 +858,7 @@
 	ret
 	  restore
 	SET_SIZE(get_ecache_dtag)
-#endif /* lint */
 
-#if defined(lint)
-/*
- * The ce_err function handles trap type 0x63 (corrected_ECC_error) at tl=0.
- * Steps: 1. GET AFSR  2. Get AFAR <40:4> 3. Get datapath error status
- *	  4. Clear datapath error bit(s) 5. Clear AFSR error bit
- *	  6. package data in %g2 and %g3 7. call cpu_ce_error vis sys_trap
- * %g2: [ 52:43 UDB lower | 42:33 UDB upper | 32:0 afsr ] - arg #3/arg #1
- * %g3: [ 40:4 afar ] - sys_trap->have_win: arg #4/arg #2
- */
-void
-ce_err(void)
-{}
-
-void
-ce_err_tl1(void)
-{}
-
-
-/*
- * The async_err function handles trap types 0x0A (instruction_access_error)
- * and 0x32 (data_access_error) at TL = 0 and TL > 0.  When we branch here,
- * %g5 will have the trap type (with 0x200 set if we're at TL > 0).
- *
- * Steps: 1. Get AFSR 2. Get AFAR <40:4> 3. If not UE error skip UDP registers.
- *	  4. Else get and clear datapath error bit(s) 4. Clear AFSR error bits
- *	  6. package data in %g2 and %g3 7. disable all cpu errors, because
- *	  trap is likely to be fatal 8. call cpu_async_error vis sys_trap
- *
- * %g3: [ 63:53 tt | 52:43 UDB_L | 42:33 UDB_U | 32:0 afsr ] - arg #3/arg #1
- * %g2: [ 40:4 afar ] - sys_trap->have_win: arg #4/arg #2
- */
-void
-async_err(void)
-{}
-
-/*
- * The clr_datapath function clears any error bits set in the UDB regs.
- */
-void
-clr_datapath(void)
-{}
-
-/*
- * The get_udb_errors() function gets the current value of the
- * Datapath Error Registers.
- */
-/*ARGSUSED*/
-void
-get_udb_errors(uint64_t *udbh, uint64_t *udbl)
-{
-	*udbh = 0;
-	*udbl = 0;
-}
-
-#else 	/* lint */
-
 	ENTRY_NP(ce_err)
 	ldxa	[%g0]ASI_AFSR, %g3	! save afsr in g3
 
@@ -1219,28 +1064,7 @@
 	  stx	%o2, [%o1]
 	SET_SIZE(get_udb_errors)
 
-#endif /* lint */
-
-#if defined(lint)
 /*
- * The itlb_rd_entry and dtlb_rd_entry functions return the tag portion of the
- * tte, the virtual address, and the ctxnum of the specified tlb entry.  They
- * should only be used in places where you have no choice but to look at the
- * tlb itself.
- *
- * Note: These two routines are required by the Estar "cpr" loadable module.
- */
-/*ARGSUSED*/
-void
-itlb_rd_entry(uint_t entry, tte_t *tte, uint64_t *va_tag)
-{}
-
-/*ARGSUSED*/
-void
-dtlb_rd_entry(uint_t entry, tte_t *tte, uint64_t *va_tag)
-{}
-#else 	/* lint */
-/*
  * NB - In Spitfire cpus, when reading a tte from the hardware, we
  * need to clear [42-41] because the general definitions in pte.h
  * define the PA to be [42-13] whereas Spitfire really uses [40-13].
@@ -1286,26 +1110,7 @@
 	retl
 	  stx	%o5, [%o2]
 	SET_SIZE(dtlb_rd_entry)
-#endif /* lint */
 
-#if defined(lint)
-
-/*
- * routines to get and set the LSU register
- */
-uint64_t
-get_lsu(void)
-{
-	return ((uint64_t)0);
-}
-
-/*ARGSUSED*/
-void
-set_lsu(uint64_t lsu)
-{}
-
-#else /* lint */
-
 	ENTRY(set_lsu)
 	stxa	%o0, [%g0]ASI_LSU		! store to LSU
 	retl
@@ -1317,9 +1122,6 @@
 	ldxa	[%g0]ASI_LSU, %o0		! load LSU
 	SET_SIZE(get_lsu)
 
-#endif /* lint */
-
-#ifndef lint
 	/*
 	 * Clear the NPT (non-privileged trap) bit in the %tick
 	 * registers. In an effort to make the change in the
@@ -1458,31 +1260,13 @@
 	retl
 	wrpr	%g0, %o5, %pstate
 	SET_SIZE(check_ecache_line)
-#endif /* lint */
 
-#if defined(lint)
-uint64_t
-read_and_clear_afsr()
-{
-	return ((uint64_t)0);
-}
-#else	/* lint */
 	ENTRY(read_and_clear_afsr)
 	ldxa	[%g0]ASI_AFSR, %o0
 	retl
 	  stxa	%o0, [%g0]ASI_AFSR		! clear AFSR
 	SET_SIZE(read_and_clear_afsr)
-#endif	/* lint */
 
-#if defined(lint)
-/* ARGSUSED */
-void
-scrubphys(uint64_t paddr, int ecache_size)
-{
-}
-
-#else	/* lint */
-
 /*
  * scrubphys - Pass in the aligned physical memory address that you want
  * to scrub, along with the ecache size.
@@ -1609,26 +1393,6 @@
 	membar	#Sync			! move the data out of the load buffer
 	SET_SIZE(scrubphys)
 
-#endif	/* lint */
-
-#if defined(lint)
-
-/*
- * clearphys - Pass in the aligned physical memory address that you want
- * to push out, as a 64 byte block of zeros, from the ecache zero-filled.
- * Since this routine does not bypass the ecache, it is possible that
- * it could generate a UE error while trying to clear the a bad line.
- * This routine clears and restores the error enable flag.
- * TBD - Hummingbird may need similar protection
- */
-/* ARGSUSED */
-void
-clearphys(uint64_t paddr, int ecache_size, int ecache_linesize)
-{
-}
-
-#else	/* lint */
-
 	ENTRY(clearphys)
 	or	%o2, %g0, %o3	! ecache linesize
 	or	%o1, %g0, %o2	! ecache size
@@ -1759,16 +1523,6 @@
 	wrpr	%g0, %o4, %pstate	! restore earlier pstate register value
 	SET_SIZE(clearphys)
 
-#endif	/* lint */
-
-#if defined(lint)
-/* ARGSUSED */
-void
-flushecacheline(uint64_t paddr, int ecache_size)
-{
-}
-
-#else	/* lint */
 /*
  * flushecacheline - This is a simpler version of scrubphys
  * which simply does a displacement flush of the line in
@@ -1882,16 +1636,6 @@
         wrpr    %g0, %o4, %pstate       
         SET_SIZE(flushecacheline)
 
-#endif	/* lint */
-
-#if defined(lint)
-/* ARGSUSED */
-void
-ecache_scrubreq_tl1(uint64_t inum, uint64_t dummy)
-{
-}
-
-#else	/* lint */
 /*
  * ecache_scrubreq_tl1 is the crosstrap handler called at ecache_calls_a_sec Hz
  * from the clock CPU.  It atomically increments the outstanding request
@@ -1928,15 +1672,6 @@
 	retry
 	SET_SIZE(ecache_scrubreq_tl1)
 
-#endif	/* lint */
-
-#if defined(lint)
-/*ARGSUSED*/
-void
-write_ec_tag_parity(uint32_t id)
-{}
-#else /* lint */
-
 	/*
          * write_ec_tag_parity(), which zero's the ecache tag,
          * marks the state as invalid and writes good parity to the tag.
@@ -1976,15 +1711,6 @@
         wrpr    %g0, %o5, %pstate
         SET_SIZE(write_ec_tag_parity)
 
-#endif /* lint */
-
-#if defined(lint)
-/*ARGSUSED*/
-void
-write_hb_ec_tag_parity(uint32_t id)
-{}
-#else /* lint */
-
 	/*
          * write_hb_ec_tag_parity(), which zero's the ecache tag,
          * marks the state as invalid and writes good parity to the tag.
@@ -2029,19 +1755,8 @@
         wrpr    %g0, %o5, %pstate
         SET_SIZE(write_hb_ec_tag_parity)
 
-#endif /* lint */
-
 #define	VIS_BLOCKSIZE		64
 
-#if defined(lint)
-
-/*ARGSUSED*/
-int
-dtrace_blksuword32(uintptr_t addr, uint32_t *data, int tryagain)
-{ return (0); }
-
-#else
-
 	ENTRY(dtrace_blksuword32)
 	save	%sp, -SA(MINFRAME + 4), %sp
 
@@ -2106,4 +1821,3 @@
 
 	SET_SIZE(dtrace_blksuword32)
 
-#endif /* lint */
--- old/usr/src/uts/sun4u/cpu/spitfire_copy.s	Thu Nov 14 19:00:40 2019
+++ new/usr/src/uts/sun4u/cpu/spitfire_copy.s	Thu Nov 14 19:00:40 2019
@@ -24,8 +24,6 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/param.h>
 #include <sys/errno.h>
 #include <sys/asm_linkage.h>
@@ -36,9 +34,7 @@
 #include <sys/fsr.h>
 #include <sys/privregs.h>
 
-#if !defined(lint)
 #include "assym.h"
-#endif	/* lint */
 
 
 /*
@@ -482,15 +478,6 @@
 
 
 
-#if defined(lint)
-
-/* ARGSUSED */
-int
-kcopy(const void *from, void *to, size_t count)
-{ return(0); }
-
-#else	/* lint */
-
 	.seg	".text"
 	.align	4
 
@@ -617,7 +604,6 @@
 	call	panic
 	  nop
 	SET_SIZE(kcopy)
-#endif	/* lint */
 
 
 /*
@@ -627,15 +613,7 @@
  * Copy a page of memory.
  * Assumes double word alignment and a count >= 256.
  */
-#if defined(lint)
 
-/* ARGSUSED */
-void
-bcopy(const void *from, void *to, size_t count)
-{}
-
-#else	/* lint */
-
 	ENTRY(bcopy)
 
 	save	%sp, -SA(MINFRAME + HWCOPYFRAMESIZE), %sp
@@ -1870,21 +1848,10 @@
 	andn	%i2, %o0, %i3		! return size of aligned bytes
 	SET_SIZE(bcopy)
 
-#endif	/* lint */
-
 /*
  * Block copy with possibly overlapped operands.
  */
 
-#if defined(lint)
-
-/*ARGSUSED*/
-void
-ovbcopy(const void *from, void *to, size_t count)
-{}
-
-#else	/* lint */
-
 	ENTRY(ovbcopy)
 	tst	%o2			! check count
 	bgu,a	%ncc, 1f		! nothing to do or bad arguments
@@ -1927,8 +1894,6 @@
 	nop
 	SET_SIZE(ovbcopy)
 
-#endif	/* lint */
-
 /*
  * hwblkpagecopy()
  *
@@ -1936,12 +1901,6 @@
  * has already disabled kernel preemption and has checked
  * use_hw_bcopy.
  */
-#ifdef lint
-/*ARGSUSED*/
-void
-hwblkpagecopy(const void *src, void *dst)
-{ }
-#else /* lint */
 	ENTRY(hwblkpagecopy)
 	! get another window w/space for three aligned blocks of saved fpregs
 	save	%sp, -SA(MINFRAME + 4*64), %sp
@@ -2019,7 +1978,6 @@
 	ret
 	restore	%g0, 0, %o0
 	SET_SIZE(hwblkpagecopy)
-#endif	/* lint */
 
 
 /*
@@ -2131,15 +2089,6 @@
  * Copy kernel data to user space (copyout/xcopyout/xcopyout_little).
  */
 
-#if defined(lint)
-
-/*ARGSUSED*/
-int
-copyout(const void *kaddr, void *uaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 /*
  * We save the arguments in the following registers in case of a fault:
  * 	kaddr - %g2
@@ -3392,18 +3341,7 @@
 	mov	-1, %o0
 	SET_SIZE(copyout)
 
-#endif	/* lint */
 
-
-#ifdef	lint
-
-/*ARGSUSED*/
-int
-xcopyout(const void *kaddr, void *uaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(xcopyout)
 	sethi	%hi(.xcopyout_err), REAL_LOFAULT
 	b	.do_copyout
@@ -3420,17 +3358,6 @@
 	mov	%g1, %o0
 	SET_SIZE(xcopyout)
 
-#endif	/* lint */
-	
-#ifdef	lint
-
-/*ARGSUSED*/
-int
-xcopyout_little(const void *kaddr, void *uaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(xcopyout_little)
 	sethi	%hi(.little_err), %o4
 	ldn	[THREAD_REG + T_LOFAULT], %o5
@@ -3458,21 +3385,10 @@
 	mov	%g0, %o0		! return (0)
 	SET_SIZE(xcopyout_little)
 
-#endif	/* lint */
-
 /*
  * Copy user data to kernel space (copyin/xcopyin/xcopyin_little)
  */
 
-#if defined(lint)
-
-/*ARGSUSED*/
-int
-copyin(const void *uaddr, void *kaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(copyin)
 	sethi	%hi(.copyin_err), REAL_LOFAULT
 	or	REAL_LOFAULT, %lo(.copyin_err), REAL_LOFAULT
@@ -4630,17 +4546,6 @@
 	mov	-1, %o0
 	SET_SIZE(copyin)
 
-#endif	/* lint */
-
-#ifdef	lint
-
-/*ARGSUSED*/
-int
-xcopyin(const void *uaddr, void *kaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(xcopyin)
 	sethi	%hi(.xcopyin_err), REAL_LOFAULT
 	b	.do_copyin
@@ -4657,17 +4562,6 @@
 	mov	%g1, %o0
 	SET_SIZE(xcopyin)
 
-#endif	/* lint */
-
-#ifdef	lint
-
-/*ARGSUSED*/
-int
-xcopyin_little(const void *uaddr, void *kaddr, size_t count)
-{ return (0); }
-
-#else	/* lint */
-
 	ENTRY(xcopyin_little)
 	sethi	%hi(.little_err), %o4
 	ldn	[THREAD_REG + T_LOFAULT], %o5
@@ -4701,22 +4595,12 @@
 	mov	%g1, %o0
 	SET_SIZE(xcopyin_little)
 
-#endif	/* lint */
 
-
 /*
  * Copy a block of storage - must not overlap (from + len <= to).
  * No fault handler installed (to be called under on_fault())
  */
-#if defined(lint)
 
-/* ARGSUSED */
-void
-copyin_noerr(const void *ufrom, void *kto, size_t count)
-{}
-
-#else	/* lint */
-
 	ENTRY(copyin_noerr)
 	sethi	%hi(.copyio_noerr), REAL_LOFAULT
 	b	.do_copyin
@@ -4726,22 +4610,11 @@
 	  nop
 	SET_SIZE(copyin_noerr)
 
-#endif /* lint */
-
 /*
  * Copy a block of storage - must not overlap (from + len <= to).
  * No fault handler installed (to be called under on_fault())
  */
 
-#if defined(lint)
-
-/* ARGSUSED */
-void
-copyout_noerr(const void *kfrom, void *uto, size_t count)
-{}
-
-#else	/* lint */
-
 	ENTRY(copyout_noerr)
 	sethi	%hi(.copyio_noerr), REAL_LOFAULT
 	b	.do_copyout
@@ -4748,20 +4621,6 @@
 	  or	REAL_LOFAULT, %lo(.copyio_noerr), REAL_LOFAULT
 	SET_SIZE(copyout_noerr)
 
-#endif /* lint */
-
-#if defined(lint)
-
-int use_hw_bcopy = 1;
-int use_hw_copyio = 1;
-int use_hw_bzero = 1;
-uint_t hw_copy_limit_1 = 0;
-uint_t hw_copy_limit_2 = 0;
-uint_t hw_copy_limit_4 = 0;
-uint_t hw_copy_limit_8 = 0;
-
-#else /* !lint */
-
 	.align	4
 	DGDEF(use_hw_bcopy)
 	.word	1
@@ -4780,7 +4639,6 @@
 
 	.align	64
 	.section ".text"
-#endif /* !lint */
 
 
 /*
@@ -4791,14 +4649,6 @@
  * Caller is responsible for ensuring use_hw_bzero is true and that
  * kpreempt_disable() has been called.
  */
-#ifdef lint
-/*ARGSUSED*/
-int
-hwblkclr(void *addr, size_t len)
-{ 
-	return(0);
-}
-#else /* lint */
 	! %i0 - start address
 	! %i1 - length of region (multiple of 64)
 	! %l0 - saved fprs
@@ -4898,16 +4748,7 @@
 	ret
 	restore	%g0, 0, %o0		! return (bzero or not)
 	SET_SIZE(hwblkclr)
-#endif	/* lint */
 
-#ifdef	lint
-/* Copy 32 bytes of data from src to dst using physical addresses */
-/*ARGSUSED*/
-void
-hw_pa_bcopy32(uint64_t src, uint64_t dst)
-{}
-#else	/*!lint */
-
 	/*
 	 * Copy 32 bytes of data from src (%o0) to dst (%o1)
 	 * using physical addresses.
@@ -4936,4 +4777,3 @@
 	retl
 	  wrpr    %g0, %g1, %pstate
 	SET_SIZE(hw_pa_bcopy32)
-#endif /* lint */
--- old/usr/src/uts/sun4u/cpu/us3_cheetah_asm.s	Thu Nov 14 19:00:41 2019
+++ new/usr/src/uts/sun4u/cpu/us3_cheetah_asm.s	Thu Nov 14 19:00:41 2019
@@ -26,11 +26,7 @@
  * Assembly code support for the Cheetah module
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
-#if !defined(lint)
 #include "assym.h"
-#endif	/* lint */
 
 #include <sys/asm_linkage.h>
 #include <sys/mmu.h>
@@ -54,8 +50,6 @@
 #include <sys/traptrace.h>
 #endif /* TRAPTRACE */
 
-#if !defined(lint)
-
 /* BEGIN CSTYLED */
 
 /*
@@ -75,9 +69,7 @@
 
 /* END CSTYLED */
 
-#endif	/* !lint */
 
-
 /*
  * Fast ECC error at TL>0 handler
  * We get here via trap 70 at TL>0->Software trap 0 at TL>0.  We enter
@@ -86,14 +78,7 @@
  * comment block "Cheetah/Cheetah+ Fast ECC at TL>0 trap strategy" in
  * us3_common_asm.s
  */
-#if defined(lint)
 
-void
-fast_ecc_tl1_err(void)
-{}
-
-#else	/* lint */
-
 	.section ".text"
 	.align	64
 	ENTRY_NP(fast_ecc_tl1_err)
@@ -312,38 +297,7 @@
 
 	SET_SIZE(fast_ecc_tl1_err)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-/*
- * scrubphys - Pass in the aligned physical memory address
- * that you want to scrub, along with the ecache set size.
- *
- *	1) Displacement flush the E$ line corresponding to %addr.
- *	   The first ldxa guarantees that the %addr is no longer in
- *	   M, O, or E (goes to I or S (if instruction fetch also happens).
- *	2) "Write" the data using a CAS %addr,%g0,%g0.
- *	   The casxa guarantees a transition from I to M or S to M.
- *	3) Displacement flush the E$ line corresponding to %addr.
- *	   The second ldxa pushes the M line out of the ecache, into the
- *	   writeback buffers, on the way to memory.
- *	4) The "membar #Sync" pushes the cache line out of the writeback
- *	   buffers onto the bus, on the way to dram finally.
- *
- * This is a modified version of the algorithm suggested by Gary Lauterbach.
- * In theory the CAS %addr,%g0,%g0 is supposed to mark the addr's cache line
- * as modified, but then we found out that for spitfire, if it misses in the
- * E$ it will probably install as an M, but if it hits in the E$, then it
- * will stay E, if the store doesn't happen. So the first displacement flush
- * should ensure that the CAS will miss in the E$.  Arrgh.
- */
-/* ARGSUSED */
-void
-scrubphys(uint64_t paddr, int ecache_set_size)
-{}
-
-#else	/* lint */
 	ENTRY(scrubphys)
 	rdpr	%pstate, %o4
 	andn	%o4, PSTATE_IE | PSTATE_AM, %o5
@@ -359,27 +313,7 @@
 	membar	#Sync			! move the data out of the load buffer
 	SET_SIZE(scrubphys)
 
-#endif	/* lint */
 
-
-#if defined(lint)
- /*
- * clearphys - Pass in the physical memory address of the checkblock
- * that you want to push out, cleared with a recognizable pattern,
- * from the ecache.
- *
- * To ensure that the ecc gets recalculated after the bad data is cleared,
- * we must write out enough data to fill the w$ line (64 bytes). So we read
- * in an entire ecache subblock's worth of data, and write it back out.
- * Then we overwrite the 16 bytes of bad data with the pattern.
- */
-/* ARGSUSED */
-void
-clearphys(uint64_t paddr, int ecache_set_size, int ecache_linesize)
-{
-}
-
-#else	/* lint */
 	ENTRY(clearphys)
 	/* turn off IE, AM bits */
 	rdpr	%pstate, %o4
@@ -427,23 +361,7 @@
 	  wrpr	%g0, %o4, %pstate
 	SET_SIZE(clearphys)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-/*
- * Cheetah Ecache displacement flush the specified line from the E$
- *
- * Register usage:
- *	%o0 - 64 bit physical address for flushing
- *	%o1 - Ecache set size
- */
-/*ARGSUSED*/
-void
-ecache_flush_line(uint64_t flushaddr, int ec_set_size)
-{
-}
-#else	/* lint */
 	ENTRY(ecache_flush_line)
 
 	ECACHE_FLUSH_LINE(%o0, %o1, %o2, %o3)
@@ -451,22 +369,10 @@
 	retl
 	  nop
 	SET_SIZE(ecache_flush_line)
-#endif	/* lint */
 
 
-#if defined(lint)
-/*
- * This routine will not be called in Cheetah systems.
- */
-void
-flush_ipb(void)
-{ return; }
-
-#else	/* lint */
-
 	ENTRY(flush_ipb)
 	retl
 	nop
 	SET_SIZE(flush_ipb)
 
-#endif	/* lint */
--- old/usr/src/uts/sun4u/cpu/us3_cheetahplus_asm.s	Thu Nov 14 19:00:42 2019
+++ new/usr/src/uts/sun4u/cpu/us3_cheetahplus_asm.s	Thu Nov 14 19:00:42 2019
@@ -25,11 +25,7 @@
  * Assembly code support for the Cheetah+ module
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
-#if !defined(lint)
 #include "assym.h"
-#endif	/* lint */
 
 #include <sys/asm_linkage.h>
 #include <sys/mmu.h>
@@ -55,8 +51,6 @@
 #endif /* TRAPTRACE */
 
 
-#if !defined(lint)
-
 /* BEGIN CSTYLED */
 
 /*
@@ -147,8 +141,6 @@
 	or	l2_idx_out, scr3, l2_idx_out;					\
 	PN_ECACHE_REFLUSH_LINE(l2_idx_out, l3_idx_out, scr3, scr4)
 
-#endif	/* !lint */
-
 /*
  * Fast ECC error at TL>0 handler
  * We get here via trap 70 at TL>0->Software trap 0 at TL>0.  We enter
@@ -157,14 +149,7 @@
  * comment block "Cheetah/Cheetah+ Fast ECC at TL>0 trap strategy" in
  * us3_common_asm.s
  */
-#if defined(lint)
 
-void
-fast_ecc_tl1_err(void)
-{}
-
-#else	/* lint */
-
 	.section ".text"
 	.align	64
 	ENTRY_NP(fast_ecc_tl1_err)
@@ -413,38 +398,7 @@
 
 	SET_SIZE(fast_ecc_tl1_err)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-/*
- * scrubphys - Pass in the aligned physical memory address
- * that you want to scrub, along with the ecache set size.
- *
- *	1) Displacement flush the E$ line corresponding to %addr.
- *	   The first ldxa guarantees that the %addr is no longer in
- *	   M, O, or E (goes to I or S (if instruction fetch also happens).
- *	2) "Write" the data using a CAS %addr,%g0,%g0.
- *	   The casxa guarantees a transition from I to M or S to M.
- *	3) Displacement flush the E$ line corresponding to %addr.
- *	   The second ldxa pushes the M line out of the ecache, into the
- *	   writeback buffers, on the way to memory.
- *	4) The "membar #Sync" pushes the cache line out of the writeback
- *	   buffers onto the bus, on the way to dram finally.
- *
- * This is a modified version of the algorithm suggested by Gary Lauterbach.
- * In theory the CAS %addr,%g0,%g0 is supposed to mark the addr's cache line
- * as modified, but then we found out that for spitfire, if it misses in the
- * E$ it will probably install as an M, but if it hits in the E$, then it
- * will stay E, if the store doesn't happen. So the first displacement flush
- * should ensure that the CAS will miss in the E$.  Arrgh.
- */
-/* ARGSUSED */
-void
-scrubphys(uint64_t paddr, int ecache_set_size)
-{}
-
-#else	/* lint */
 	ENTRY(scrubphys)
 	rdpr	%pstate, %o4
 	andn	%o4, PSTATE_IE | PSTATE_AM, %o5
@@ -470,27 +424,7 @@
 	membar	#Sync			! move the data out of the load buffer
 	SET_SIZE(scrubphys)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-/*
- * clearphys - Pass in the physical memory address of the checkblock
- * that you want to push out, cleared with a recognizable pattern,
- * from the ecache.
- *
- * To ensure that the ecc gets recalculated after the bad data is cleared,
- * we must write out enough data to fill the w$ line (64 bytes). So we read
- * in an entire ecache subblock's worth of data, and write it back out.
- * Then we overwrite the 16 bytes of bad data with the pattern.
- */
-/* ARGSUSED */
-void
-clearphys(uint64_t paddr, int ecache_set_size, int ecache_linesize)
-{
-}
-
-#else	/* lint */
 	ENTRY(clearphys)
 	/* turn off IE, AM bits */
 	rdpr	%pstate, %o4
@@ -548,26 +482,7 @@
 	  wrpr	%g0, %o4, %pstate
 	SET_SIZE(clearphys)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-/*
- * Cheetah+ Ecache displacement flush the specified line from the E$
- *
- * For Panther, this means flushing the specified line from both the
- * L2 cache and L3 cache.
- *
- * Register usage:
- *	%o0 - 64 bit physical address for flushing
- *	%o1 - Ecache set size
- */
-/*ARGSUSED*/
-void
-ecache_flush_line(uint64_t flushaddr, int ec_set_size)
-{
-}
-#else	/* lint */
 	ENTRY(ecache_flush_line)
 
 	GET_CPU_IMPL(%o3)		! Panther Ecache is flushed differently
@@ -584,16 +499,7 @@
 	retl
 	  nop
 	SET_SIZE(ecache_flush_line)
-#endif	/* lint */
 
-#if defined(lint)
-void
-set_afsr_ext(uint64_t afsr_ext)
-{
-	afsr_ext = afsr_ext;
-}
-#else /* lint */
-
 	ENTRY(set_afsr_ext)
 	set	ASI_AFSR_EXT_VA, %o1
 	stxa	%o0, [%o1]ASI_AFSR		! afsr_ext reg
@@ -602,36 +508,7 @@
 	nop
 	SET_SIZE(set_afsr_ext)
 
-#endif /* lint */
 
-
-#if defined(lint)
-/*
- * The CPU jumps here from the MMU exception handler if an ITLB parity
- * error is detected and we are running on Panther.
- *
- * In this routine we collect diagnostic information and write it to our
- * logout structure (if possible) and clear all ITLB entries that may have
- * caused our parity trap.
- * Then we call cpu_tlb_parity_error via systrap in order to drop down to TL0
- * and log any error messages. As for parameters to cpu_tlb_parity_error, we
- * send two:
- *
- * %g2	- Contains the VA whose lookup in the ITLB caused the parity error
- * %g3	- Contains the tlo_info field of the pn_tlb_logout logout struct,
- *	  regardless of whether or not we actually used the logout struct.
- *
- * In the TL0 handler (cpu_tlb_parity_error) we will compare those two
- * parameters to the data contained in the logout structure in order to
- * determine whether the logout information is valid for this particular
- * error or not.
- */
-void
-itlb_parity_trap(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(itlb_parity_trap)
 	/*
 	 * Collect important information about the trap which will be
@@ -754,35 +631,6 @@
 	  nop
 	SET_SIZE(itlb_parity_trap)
 
-#endif	/* lint */
-
-#if defined(lint)
-/*
- * The CPU jumps here from the MMU exception handler if a DTLB parity
- * error is detected and we are running on Panther.
- *
- * In this routine we collect diagnostic information and write it to our
- * logout structure (if possible) and clear all DTLB entries that may have
- * caused our parity trap.
- * Then we call cpu_tlb_parity_error via systrap in order to drop down to TL0
- * and log any error messages. As for parameters to cpu_tlb_parity_error, we
- * send two:
- *
- * %g2	- Contains the VA whose lookup in the DTLB caused the parity error
- * %g3	- Contains the tlo_info field of the pn_tlb_logout logout struct,
- *	  regardless of whether or not we actually used the logout struct.
- *
- * In the TL0 handler (cpu_tlb_parity_error) we will compare those two
- * parameters to the data contained in the logout structure in order to
- * determine whether the logout information is valid for this particular
- * error or not.
- */
-void
-dtlb_parity_trap(void)
-{}
-
-#else	/* lint */
-
 	ENTRY_NP(dtlb_parity_trap)
 	/*
 	 * Collect important information about the trap which will be
@@ -967,24 +815,7 @@
 	  nop
 	SET_SIZE(dtlb_parity_trap)
 
-#endif	/* lint */
 
-
-#if defined(lint)
-/*
- * Calculates the Panther TLB index based on a virtual address and page size
- *
- * Register usage:
- *	%o0 - virtual address whose index we want
- *	%o1 - Page Size of the TLB in question as encoded in the
- *	      ASI_[D|I]MMU_TAG_ACCESS_EXT register.
- */
-uint64_t
-pn_get_tlb_index(uint64_t va, uint64_t pg_sz)
-{
-	return ((va + pg_sz)-(va + pg_sz));
-}
-#else	/* lint */
 	ENTRY(pn_get_tlb_index)
 
 	PN_GET_TLB_INDEX(%o0, %o1)
@@ -992,20 +823,8 @@
 	retl
 	  nop
 	SET_SIZE(pn_get_tlb_index)
-#endif	/* lint */
 
 
-#if defined(lint)
-/*
- * For Panther CPUs we need to flush the IPB after any I$ or D$
- * parity errors are detected.
- */
-void
-flush_ipb(void)
-{ return; }
-
-#else	/* lint */
-
 	ENTRY(flush_ipb)
 	clr	%o0
 
@@ -1022,6 +841,4 @@
 	nop
 	SET_SIZE(flush_ipb)
 
-#endif	/* lint */
 
-
